import { http } from '@/utils/http/axios';

/**
 * @description: 行政区划列表
 */
export function getCityList(params?) {
  return http.request({
    url: '/city/list',
    method: 'GET',
    params,
  });
}

/**
 * @description: 根据ID获取详情
 */
export function getCityDetail(id) {
  return http.request({
    url: '/city/detail/' + id,
    method: 'get',
  });
}

/**
 * @description: 添加行政区划
 */
export function cityAdd(data: any) {
  return http.request({
    url: '/city/add',
    method: 'POST',
    data,
  });
}

/**
 * @description: 更新行政区划
 */
export function cityUpdate(data: any) {
  return http.request({
    url: '/city/update',
    method: 'PUT',
    data,
  });
}

/**
 * @description: 删除行政区划
 */
export function cityDelete(id) {
  return http.request({
    url: '/city/delete/' + id,
    method: 'DELETE',
  });
}

/**
 * @description: 批量删除行政区划
 */
export function cityBatchDelete(data: any) {
  return http.request({
    url: '/city/batchDelete',
    method: 'DELETE',
    data,
  });
}
